Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2018 - Failed compilation of the expect-module
Summary: Failed compilation of the expect-module
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tcltk
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-05 22:49 UTC by enrico.scholz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-08 22:21:33 UTC


Attachments (Terms of Use)

Description enrico.scholz 1999-04-05 22:49:03 UTC
I have contacted the developer of the expect module but have
not got any response yet. So I'm trying this way and sending
you a copy of the mail:


------------------------------------

Hi,

compilation of expect fails at a glibc2.1 system with
/dev/ptmx support. There the tests for HAVE_PTMX and
HAVE_OPENPTY will both succeed and "slave_name" declared
twice in pty_termios.c:

-----------------------------------------
gcc -c  -I. -I.
-I/usr/src/redhat/BUILD/tcltk-8.0.4/tcl8.0.4/generic
-I/usr/src/redhat/BUILD/tcltk-8.0.4/tk8.0.4/generic
-I/usr/X11R6/include -DEXP_VERSION=\"5.28.1\"
-DSCRIPTDIR=\"/usr/lib/expect5.28\"
-DEXECSCRIPTDIR=\"/usr/lib/expect5.28\" -DTCL_DEBUGGER -O2
-mpentium -fno-strength-reduce -march=pentium -g
-DDFLT_STTY="\"sane\""  pty_termios.c
pty_termios.c:173: conflicting types for `slave_name'
pty_termios.c:134: previous declaration of `slave_name'
pty_termios.c: In function `exp_getptymaster':
pty_termios.c:372: incompatible types in assignment
make: *** [pty_termios.o] Error 1
-----------------------------------------

Comment 1 Jeff Johnson 1999-04-08 22:21:59 UTC
I forced expect_cf.h generated by configure to have the values
	...
	/* # undef HAVE_OPENPTY */
	...
	#define HAVE_PTMX 1

which passes "make check".

Fixed in tcltk-8.0.4-29 (which generates expect-5.28-29).

Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.